Bug 396631 - Increase timeout for device connection on boot
Increase timeout for device connection on boot
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-xen (Show other bugs)
4.6
All Linux
low Severity low
: ---
: ---
Assigned To: Paolo Bonzini
Virtualization Bugs
:
: 512319 (view as bug list)
Depends On: 506899
Blocks: 458302
  Show dependency treegraph
 
Reported: 2007-11-23 06:55 EST by Ian Campbell
Modified: 2011-02-16 11:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-16 11:05:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
linux-2.6.18-xen 144:d88e59a7334a ported to 2.6.9-67.EL (2.07 KB, patch)
2007-12-14 04:25 EST, Ian Campbell
no flags Details | Diff
linux-2.6.18-xen 146:726cd201f4cd ported to 2.6.9-67.EL (2.00 KB, patch)
2007-12-14 04:25 EST, Ian Campbell
no flags Details | Diff
linux-2.6.18-xen 150:09c88868e344 ported to 2.6.9-67.EL (1.45 KB, patch)
2007-12-14 04:26 EST, Ian Campbell
no flags Details | Diff
first patch posted, identical to acked v1 (1.57 KB, patch)
2009-07-01 18:05 EDT, Paolo Bonzini
no flags Details | Diff
second patch, identical to v1 except for squashing in 506899 (4.98 KB, patch)
2009-07-01 18:06 EDT, Paolo Bonzini
no flags Details | Diff

  None (edit)
Description Ian Campbell 2007-11-23 06:55:14 EST
These fixes were applied to our RHEL4 kernel as:
http://xenbits.xensource.com/kernels/rhel4x.hg?rev/627312096e25
http://xenbits.xensource.com/kernels/rhel4x.hg?rev/50d355d20d38
http://xenbits.xensource.com/kernels/rhel4x.hg?rev/2748dfd49b3e

URLs below are internal to XenSource, please use these for outside access:
http://xenbits.xensource.com/linux-2.6.18-xen.hg?cs=d88e59a7334a
http://xenbits.xensource.com/linux-2.6.18-xen.hg?cs=726cd201f4cd
http://xenbits.xensource.com/linux-2.6.18-xen.hg?cs=09c88868e344

+++ This bug was initially created as a clone of Bug #396621 +++

Description of problem:

The existing 10s delay waiting for frontend devices to connect is sometimes
insufficient under load.

This has been solved upstream by these patches:
- http://hg.uk.xensource.com/linux-2.6.18-xen.hg?cs=d88e59a7334a
- http://hg.uk.xensource.com/linux-2.6.18-xen.hg?cs=726cd201f4cd
- http://hg.uk.xensource.com/linux-2.6.18-xen.hg?cs=09c88868e344

Version-Release number of selected component (if applicable):

2.6.18-53.EL
Comment 1 Ian Campbell 2007-12-14 04:25:29 EST
Created attachment 288881 [details]
linux-2.6.18-xen 144:d88e59a7334a ported to 2.6.9-67.EL
Comment 2 Ian Campbell 2007-12-14 04:25:59 EST
Created attachment 288891 [details]
linux-2.6.18-xen 146:726cd201f4cd ported to 2.6.9-67.EL
Comment 3 Ian Campbell 2007-12-14 04:26:31 EST
Created attachment 288901 [details]
linux-2.6.18-xen 150:09c88868e344 ported to 2.6.9-67.EL
Comment 5 Paolo Bonzini 2009-07-01 18:05:15 EDT
Created attachment 350208 [details]
first patch posted, identical to acked v1
Comment 6 Paolo Bonzini 2009-07-01 18:06:13 EDT
Created attachment 350209 [details]
second patch, identical to v1 except for squashing in 506899
Comment 7 Andrew Jones 2009-07-21 13:28:42 EDT
*** Bug 512319 has been marked as a duplicate of this bug. ***
Comment 9 Vivek Goyal 2009-07-28 13:21:50 EDT
Committed in 89.7.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 11 Qixiang Wan 2011-01-11 09:39:19 EST
attach 20 vbd disks to a pv guest, and run stress on host with a high load:

[1] checked with 2.6.9-89.EL kernel, timeout is 10s, get the error soon:
 xvdi:<4>XENBUS: Timeout connecting to device: device/vbd/51856 (state 3)
XENBUS: Timeout connecting to device: device/vbd/51872 (state 3)
XENBUS: Timeout connecting to device: device/vbd/51888 (state 3)
XENBUS: Timeout connecting to device: device/vbd/51904 (state 3)
XENBUS: Timeout connecting to device: device/vbd/51920 (state 3)
XENBUS: Timeout connecting to device: device/vbd/51936 (state 3)
XENBUS: Timeout connecting to device: device/vbd/51952 (state 3)
XENBUS: Timeout connecting to device: device/vbd/268439552 (state 3)
XENBUS: Timeout connecting to device: device/vbd/268439808 (state 3)
XENBUS: Timeout connecting to device: device/vbd/268440064 (state 3)
XENBUS: Timeout connecting to device: device/vbd/268440320 (state 3)

[2] checked with 2.6.9-94.EL kernel, timeout change to 300s:
 xvda: xvda1 xvda2
 xvdb: unknown partition table
 xvdc: unknown partition table
 xvdd: unknown partition table
 xvde: unknown partition table
 xvdf: unknown partition table
 xvdg:<4>XENBUS: Waiting for devices to initialise: 295s... unknown partition table
 xvdh: unknown partition table
 xvdi: unknown partition table
 xvdj: unknown partition table
 xvdk: unknown partition table
 xvdl: unknown partition table
 xvdm:290s...285s... unknown partition table
 xvdn: unknown partition table
 xvdo: unknown partition table
 xvdp:280s... unknown partition table
xen-vbd: registered block device major 202
 xvdq: unknown partition table
 xvdr:275s...270s...265s... unknown partition table
 xvds: unknown partition table
 xvdt: unknown partition table


so change this bug to VERIFIED.
Comment 12 errata-xmlrpc 2011-02-16 11:05:51 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html

Note You need to log in before you can comment on or make changes to this bug.